package com.atlassian.bitbucket.scm.git.command.diff;

import com.atlassian.bitbucket.scm.CommandInputHandler;

import javax.annotation.Nonnull;

public interface GitDiffTreeBuilder extends GitDiffCoreBuilder<GitDiffTreeBuilder> {

    @Nonnull
    GitDiffTreeBuilder always(boolean value);

    @Nonnull
    GitDiffTreeBuilder format(String value);

    @Nonnull
    GitDiffTreeBuilder inputHandler(CommandInputHandler inputHandler);

    @Nonnull
    GitDiffTreeBuilder merges(boolean value);

    @Nonnull
    GitDiffTreeBuilder recursive(boolean value);

    @Nonnull
    GitDiffTreeBuilder root(boolean value);
}
